commit: 9ec55c92c40cd8723686599ecf858e78292af65c
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 25 00:31:16 2023 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Dec 25 00:43:19 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ec55c92
x11-libs/libdrm: Enable tests
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
x11-libs/libdrm/libdrm-9999.ebuild | 11 +++++++----
1 file changed, 7 insertions(+), 4 deletions(-)
diff --git a/x11-libs/libdrm/libdrm-9999.ebuild
b/x11-libs/libdrm/libdrm-9999.ebuild
index 72954f26c11f..6ffff813ee27 100644
--- a/x11-libs/libdrm/libdrm-9999.ebuild
+++ b/x11-libs/libdrm/libdrm-9999.ebuild
@@ -24,8 +24,8 @@ for card in ${VIDEO_CARDS}; do
IUSE_VIDEO_CARDS+=" video_cards_${card}"
done
-IUSE="${IUSE_VIDEO_CARDS} tools udev valgrind"
-RESTRICT="test" # see bug #236845
+IUSE="${IUSE_VIDEO_CARDS} test tools udev valgrind"
+RESTRICT="!test? ( test )"
LICENSE="MIT"
SLOT="0"
@@ -34,7 +34,10 @@ COMMON_DEPEND="
DEPEND="${COMMON_DEPEND}
valgrind? ( dev-util/valgrind )"
RDEPEND="${COMMON_DEPEND}
- video_cards_amdgpu? ( tools? ( >=dev-util/cunit-2.1 ) )
+ video_cards_amdgpu? (
+ tools? ( >=dev-util/cunit-2.1 )
+ test? ( >=dev-util/cunit-2.1 )
+ )
udev? ( virtual/udev )"
BDEPEND="${PYTHON_DEPS}
$(python_gen_any_dep 'dev-python/docutils[${PYTHON_USEDEP}]')"
@@ -63,7 +66,7 @@ multilib_src_configure() {
$(meson_native_use_bool tools install-test-programs)
)
- if multilib_is_native_abi && use tools; then
+ if use test || { multilib_is_native_abi && use tools; }; then
emesonargs+=( -Dtests=true )
else
emesonargs+=( -Dtests=false )